openapi: 3.0.0
info:
  title: API InsurancePatrimonial - Open Insurance Brasil
  description: |
    API de Patrimonial do Open Insurance Brasil - Fase 2.\
    Traz informações de apólice, prêmio e sinistro mantidas nas instituições transmissoras por seus clientes.\
    Não possui segregação entre pessoa natural e pessoa jurídica.\
    Requer consentimento do cliente para todos os 'endpoints'.
    
    # Orientações
    A `Role`  do diretório de participantes relacionada à presente API é a `DADOS`.\
    Para todos os `endpoints` desta API é previsto o envio de um `token` através do header `Authorization`.\
    Este `token` deverá estar relacionado ao consentimento (identificado pelo `consentId`) mantido na instituição transmissora dos dados, o qual permitirá a pesquisa e retorno, na API em questão, dos 
    dados relacionados ao `consentId` específico.\
    Os dados serão devolvidos na consulta desde que o `consentId` relacionado corresponda a um consentimento válido e com o status `AUTHORISED`.\
    É também necessário que o recurso em questão (conta, contrato, etc.) esteja disponível na instituição transmissora (ou seja, sem boqueios de qualquer natureza e com todas as autorizações/consentimentos já autorizados).\
    Além disso, as `permissions` necessárias deverão ter sido solicitadas quando da criação do consentimento relacionado.\
    Relacionamos a seguir as `permissions` necessárias para a consulta de dados em cada `endpoint` da presente API.

    ## Permissions necessárias para a API InsurancePatrimonial

    Para cada um dos `paths` desta API, além dos escopos (`scopes`) indicados existem `permissions` que deverão ser observadas:

    ### `/`
      - permissions:
        - GET: **DAMAGES_AND_PEOPLE_PATRIMONIAL_READ**
    ### `/{policyId}/policy-info`
      - permissions:
        - GET: **DAMAGES_AND_PEOPLE_PATRIMONIAL_POLICYINFO_READ**
    ### `/{policyId}/premium`
      - permissions:
        - GET: **DAMAGES_AND_PEOPLE_PATRIMONIAL_PREMIUM_READ**
    ### `/{policyId}/claim`
      - permissions:
        - GET: **DAMAGES_AND_PEOPLE_PATRIMONIAL_CLAIM_READ**
  version: 1.3.0
  contact:
    name: Governança do Open Insurance Brasil
    url: 'https://www.gov.br/susep/'
servers:
  - url: 'https://api.organizacao.com.br/open-insurance/insurance-patrimonial/v1'
    description: Servidor de Produção
  - url: 'https://api.organizacao.com.br/open-insurance/insurance-patrimonial/v1'
    description: Servidor de Homologação
tags:
  - name: 'InsurancePatrimonial'
paths:
  /insurance-patrimonial:
    get:
      tags:
        - InsurancePatrimonial
      summary: Obtem a lista de identificação de InsurancePatrimonial
      description: "Método para obter a lista de identificação de InsurancePatrimonial"
      operationId: "getInsurancePatrimonial"
      parameters:
        - $ref: '#/components/parameters/Authorization'
        - $ref: '#/components/parameters/xFapiAuthDate'
        - $ref: '#/components/parameters/xFapiCustomerIpAddress'
        - $ref: '#/components/parameters/xFapiInteractionId'
        - $ref: '#/components/parameters/xCustomerUserAgent'
        - $ref: "#/components/parameters/page"
        - $ref: "#/components/parameters/pageSize"
      responses:
        '200':
          $ref: '#/components/responses/OKResponseInsurancePatrimonial'
        '204':
          $ref: '#/components/responses/NoContent'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '405':
          $ref: '#/components/responses/MethodNotAllowed'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        '422':
          $ref: '#/components/responses/UnprocessableEntity'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        default:
          description: Erro inesperado.
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ResponseError'
      security:
        - OpenId:
            - openid
          OAuth2Security:
            - 'consent:consentId'
            - insurance-patrimonial
  /insurance-patrimonial/{policyId}/policy-info:
    get:
      tags:
        - InsurancePatrimonial
      summary: Obtém as informações gerais da apólice identificada por {policyId}
      description: "Método para obter as informações gerais da apólice"
      operationId: "getInsurancePatrimonialpolicyIdPolicyInfo"
      parameters:
        - $ref: '#/components/parameters/Authorization'
        - $ref: '#/components/parameters/xFapiAuthDate'
        - $ref: '#/components/parameters/xFapiCustomerIpAddress'
        - $ref: '#/components/parameters/xFapiInteractionId'
        - $ref: '#/components/parameters/xCustomerUserAgent'
        - $ref: "#/components/parameters/policyId"
      responses:
        '200':
          $ref: '#/components/responses/OKResponseInsurancePatrimonialPolicyInfo'
        '204':
          $ref: '#/components/responses/NoContent'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '405':
          $ref: '#/components/responses/MethodNotAllowed'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        '422':
          $ref: '#/components/responses/UnprocessableEntity'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        default:
          description: Erro inesperado.
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ResponseError'
      security:
        - OpenId:
            - openid
          OAuth2Security:
            - 'consent:consentId'
            - insurance-patrimonial
  /insurance-patrimonial/{policyId}/premium:
    get:
      tags:
        - InsurancePatrimonial
      summary: Obtém os dados de prêmio da apólice identificada por {policyId}
      description: "Método para obter os dados de prêmio da apólice."
      operationId: "getInsurancePatrimonialpolicyIdPremium"
      parameters:
        - $ref: '#/components/parameters/Authorization'
        - $ref: '#/components/parameters/xFapiAuthDate'
        - $ref: '#/components/parameters/xFapiCustomerIpAddress'
        - $ref: '#/components/parameters/xFapiInteractionId'
        - $ref: '#/components/parameters/xCustomerUserAgent'
        - $ref: "#/components/parameters/policyId"
      responses:
        '200':
          $ref: '#/components/responses/OKResponseInsurancePatrimonialPremium'
        '204':
          $ref: '#/components/responses/NoContent'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '405':
          $ref: '#/components/responses/MethodNotAllowed'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        '422':
          $ref: '#/components/responses/UnprocessableEntity'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        default:
          description: Erro inesperado.
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ResponseError'
      security:
        - OpenId:
            - openid
          OAuth2Security:
            - 'consent:consentId'
            - insurance-patrimonial
  /insurance-patrimonial/{policyId}/claim:
    get:
      tags:
        - InsurancePatrimonial
      summary: Obtém os dados de sinistro da apólice identificada por {policyId}
      description: "Método para obter os dados de sinistro associados à apólice"
      operationId: "getInsurancePatrimonialpolicyIdClaims"
      parameters:
        - $ref: '#/components/parameters/Authorization'
        - $ref: '#/components/parameters/xFapiAuthDate'
        - $ref: '#/components/parameters/xFapiCustomerIpAddress'
        - $ref: '#/components/parameters/xFapiInteractionId'
        - $ref: '#/components/parameters/xCustomerUserAgent'
        - $ref: "#/components/parameters/policyId"
      responses:
        '200':
          $ref: '#/components/responses/OKResponseInsurancePatrimonialClaims'
        '204':
          $ref: '#/components/responses/NoContent'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '405':
          $ref: '#/components/responses/MethodNotAllowed'
        '406':
          $ref: '#/components/responses/NotAcceptable'
        '422':
          $ref: '#/components/responses/UnprocessableEntity'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        default:
          description: Erro inesperado.
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ResponseError'
      security:
        - OpenId:
            - openid
          OAuth2Security:
            - 'consent:consentId'
            - insurance-patrimonial
components:
  schemas:
    ResponseInsurancePatrimonial:
      type: object
      required:
        - data
        - links
        - meta
      properties:
        data:
          type: array
          items:
            type: object
            required:
              - brand
              - companies
            properties:
              brand:
                description: Nome da marca reportada pelo participante do Open Insurance
                type: string
                maxLength: 80
              companies:
                type: array
                items:
                  type: object
                  required:
                    - companyName
                    - cnpjNumber
                    - policies
                  properties:
                    companyName:
                      description: Nome da sociedade pertencente à marca
                      type: string
                      maxLength: 200
                    cnpjNumber:
                      description: CNPJ da sociedade pertencente à marca
                      type: string
                      maxLength: 14
                      pattern: '^\d{14}$'
                      example: "12345678901234"
                    policies:
                      type: array
                      items:
                        description: policyId - Identificador da apólice
                        type: string
                        maxLength: 60
                        example: "42"
        links:
          $ref: '#/components/schemas/Links'
        meta:
          $ref: '#/components/schemas/Meta'
    ResponseInsurancePatrimonialPolicyInfo:
      type: object
      required:
        - data
        - links
        - meta
      properties:
        data:
          $ref: '#/components/schemas/InsurancePatrimonialPolicyInfo'
        links:
          $ref: '#/components/schemas/Links'
        meta:
          $ref: '#/components/schemas/Meta'
    InsurancePatrimonialPolicyInfo:
      type: object
      required:
        - documentType
        - policyId
        - issuanceType
        - issuanceDate
        - termStartDate
        - termEndDate
        - maxLMG
        - proposalId
        - insureds
        - insuredObjects

      properties:
        documentType:
          description: Tipo de Documento Emitido
          type: string
          enum: [APOLICE_INDIVIDUAL,
                 BILHETE,
                 CERTIFICADO,
                 APOLICE_INDIVIDUAL_AUTOMOVEL,
                 APOLICE_FROTA_AUTOMOVEL,
                 CERTIFICADO_AUTOMOVEL]
          example: APOLICE_INDIVIDUAL
        policyId:
          description: Identificador da apólice ou bilhete
          type: string
          maxLength: 60
          example: "111111"
        susepProcessNumber:
          description: Número SUSEP da apólice, conforme regulamentação vigente (Obrigatório caso apólice com coberturas do ramo Garantia)
          type: string
          maxLength: 60
        groupCertificateId:
          description: "Identificador do Certificado(Caso Tipo de Documento Emitido for certificado)"
          type: string
          maxLength: 60
        issuanceType:
          description: "Tipo de Emissão"
          type: string
          enum: [EMISSAO_PROPRIA,
                 COSSEGURO_ACEITO]
          example: EMISSAO_PROPRIA
        issuanceDate:
          description: Data de emissão do documento
          type: string
          format: date
          maxLength: 10
          example: '2022-12-31'
        termStartDate:
          description: Data de início de vigência do documento
          type: string
          format: date
          maxLength: 10
          example: '2022-12-31'
        termEndDate:
          description: Data de fim de vigência do documento
          type: string
          format: date
          maxLength: 10
          example: '2022-12-31'
        leadInsurerCode:
          description: "Código da seguradora líder para contratos com arranjo de cosseguro"
          type: string
          maxLength: 1024
        leadInsurerPolicyId:
          description: "Identificador da apólice seguradora líder para apólice de cosseguro aceito"
          type: string
          maxLength: 1024
        maxLMG:
          $ref: '#/components/schemas/AmountDetails'
        proposalId:
          description: Identificador da Proposta
          type: string
          maxLength: 60
        insureds:
          type: array
          items:
            $ref: '#/components/schemas/PersonalInfo'
        beneficiaries:
          type: array
          items:
            $ref: '#/components/schemas/BeneficiaryInfo'
        principals:
          type: array
          items:
            $ref: '#/components/schemas/PersonalInfo'
        intermediaries:
          type: array
          items:
            $ref: '#/components/schemas/Intermediary'
        insuredObjects:
          type: array
          items:
            $ref: '#/components/schemas/InsurancePatrimonialInsuredObject'
        coverages:
          type: array
          items:
            $ref: '#/components/schemas/InsurancePatrimonialCoverage'
        coinsuranceRetainedPercentage:
          description: "Percentual Retido em Cosseguro (Quando há cosseguro)"
          type: string
          pattern: ^\d{1,3}\.\d{1,9}$
          example: '10.00'
        coinsurers:
          type: array
          items:
            $ref: '#/components/schemas/Coinsurer'
        branchInfo:
          $ref: '#/components/schemas/InsurancePatrimonialSpecificPolicyInfo'
    PersonalInfo:
      type: object
      required:
        - identification
        - identificationType
        - name
        - postCode
        - city
        - state
        - country
        - address
      properties:
        identification:
          description: Documento de Identificação da Pessoa
          type: string
          maxLength: 60
          example: "12345678900"
        identificationType:
          description: Tipo de Documento da Pessoa
          type: string
          enum: [
            CPF,
            CNPJ,
            OUTROS
          ]
          example: CPF
        name:
          description: Nome ou Razão Social da Pessoa
          type: string
          maxLength: 60
          example: Nome Sobrenome
        postCode:
          description: Código Postal da Pessoa
          type: string
          maxLength: 60
          example: "10000000"
        email:
          description: E-mail da Pessoa (caso possua)
          type: string
          maxLength: 256
        city:
          description: Cidade da Pessoa (por extenso)
          type: string
          maxLength: 60
        state:
          description: Estado da Pessoa (por extenso)
          type: string
          maxLength: 60
        country:
          description: País da Pessoa (de acordo com o código "alpha3" do ISO-3166)
          type: string
          maxLength: 3
          pattern: '^(\w{3}){1}$'
          example: BRA
        address:
          description: Endereço da Pessoa (restante do endereço, excluindo cidade, estado e país)
          type: string
          maxLength: 60
    BeneficiaryInfo:
      type: object
      required:
        - identification
        - identificationType
        - name
      properties:
        identification:
          description: Documento de Identificação da Pessoa
          type: string
          maxLength: 60
          example: "12345678900"
        identificationType:
          description: Tipo de Documento da Pessoa
          type: string
          enum: [
            CPF,
            CNPJ,
            OUTROS
          ]
          example: CPF
        name:
          description: Nome ou Razão Social da Pessoa
          type: string
          maxLength: 60
          example: Nome Sobrenome
    Intermediary:
      type: object
      required:
        - name
      properties:
        type:
          description: Tipo do Intermediador
          type: string
          enum: [
            CORRETOR,
            REPRESENTANTE,
            ESTIPULANTE_AVERBADOR_INSTITUIDOR,
            CORRESPONDENTE,
            AGENTE_DE_MICROSSEGUROS,
            OUTROS
          ]
          example: REPRESENTANTE
        identification:
          description: Documento de Identificação do Intermediador(a) (Caso Tipo de Intermediador não seja CORRETOR ou quando for CORRETOR, porém o identificador do intermediador não seja informado)
          type: string
          maxLength: 60
          pattern: '^\d{1,60}$'
          example: "12345678900"
        brokerId:
          description: Identificador do intermediador da apólice - código Susep do corretor(a) (Caso Tipo de Intermediador for CORRETOR)
          type: string
          maxLength: 100
        identificationType:
          description: Tipo de Documento do Intermediador(a) (Caso Tipo de Intermediador não seja CORRETOR ou quando for CORRETOR, porém o identificador do intermediador não seja informado)
          type: string
          enum: [
            CPF,
            CNPJ,
            OUTROS
          ]
          example: CPF
        name:
          description: Nome ou Razão Social da Intermediador
          type: string
          maxLength: 60
          example: Nome Sobrenome
        postCode:
          description: Código Postal da Intermediador (Caso Tipo de Intermediador for ESTIPULANTE)
          type: string
          maxLength: 60
          example: "10000000"
        city:
          description: Cidade da Intermediador (por extenso; Caso Tipo de Intermediador for ESTIPULANTE)
          type: string
          maxLength: 60
        state:
          description: Estado da Intermediador (por extenso; Caso Tipo de Intermediador for ESTIPULANTE)
          type: string
          maxLength: 60
        country:
          description: País da Intermediador (de acordo com o código "alpha3" do ISO-3166; Caso Tipo de Intermediador for ESTIPULANTE)
          type: string
          maxLength: 3
          pattern: '^(\w{3}){1}$'
          example: BRA
        address:
          description: Endereço da Intermediador (restante do do endereço, excluindo cidade, estado e país; Caso Tipo de Intermediador for ESTIPULANTE)
          type: string
          maxLength: 60
    InsurancePatrimonialInsuredObject:
      type: object
      required:
        - identification
        - type
        - description
        - coverages
      properties:
        identification:
          type: string
          maxLength: 100
          description: "Identificador do objeto segurado. Obs.: Para Fiança Locatícia, é a identificação do Contrato de Locação."
        type:
          type: string
          description: Tipo do objeto segurado
          enum: [CONTRATO,
                 PROCESSO_ADMINISTRATIVO,
                 PROCESSO_JUDICIAL,
                 AUTOMOVEL,
                 CONDUTOR,
                 FROTA,
                 PESSOA,
                 OUTROS]
        typeAdditionalInfo:
          type: string
          maxLength: 100
          description: "Descrição do tipo do objeto segurado(caso tipo de objeto segurado for outros)."
        description:
          type: string
          maxLength: 1024
          description: Descrição do objeto segurado
        amount:
          $ref: '#/components/schemas/AmountDetails'
        coverages:
          type: array
          items:
            $ref: '#/components/schemas/InsurancePatrimonialInsuredObjectCoverage'
    InsurancePatrimonialInsuredObjectCoverage:
      type: object
      required:
        - branch
        - code
        - susepProcessNumber
        - LMI
        - termStartDate
        - termEndDate
        - feature
        - type
      properties:
        branch:
          type: string
          maxLength: 4
          example: '0111'
          description: Grupo e Ramo da Cobertura (Conforme regulamentação Susep vigente)
        code:
          $ref: '#/components/schemas/InsurancePatrimonialCoverageCode'
        description:
          type: string
          maxLength: 500
          description: "Descrição / Nome da Cobertura (Obrigatório quando o campo 'Codigo' for preenchido com 'Outras')"
        internalCode:
          type: string
          maxLength: 500
          description: "Código interno da cobertura da seguradora(obrigatório se houver)"
        susepProcessNumber:
          type: string
          maxLength: 50
        LMI:
          $ref: '#/components/schemas/AmountDetails'
        isLMISublimit:
          type: boolean
          description: Limite máximo de indenização (LMI) é sublimite (Caso aplicável)
        termStartDate:
          type: string
          format: date
          maxLength: 10
          example: '2022-12-31'
          description: "Data de início de vigência da cobertura"
        termEndDate:
          type: string
          format: date
          maxLength: 10
          example: '2022-12-31'
          description: "Data de fim de vigência da cobertura"
        isMainCoverage:
          type: boolean
          description: "Cobertura Principal"
        feature:
          type: string
          description: "Característica da cobertura"
          enum: [MASSIFICADOS,
                 MASSIFICADOS_MICROSEGUROS,
                 GRANDES_RISCOS]
        type:
          type: string
          description: "Tipo de cobertura"
          enum: [PARAMETRICO,
                 INTERMITENTE,
                 REGULAR_COMUM,
                 CAPITAL_GLOBAL,
                 PARAMETRICO_E_INTERMITENTE]
        gracePeriod:
          type: integer
          maxLength: 5
          description: "Período de carência. OBS: Obrigatório, se houver"
        gracePeriodicity:
          type: string
          description: "Periodicidade da carência. OBS: Obrigatório, se houver"
          enum: [DIA,
                 MES,
                 ANO]
        gracePeriodCountingMethod:
          type: string
          description: "Indicador de dias úteis ou corridos da carência. OBS: Obrigatório, se houver"
          enum: [DIAS_UTEIS,
                 DIAS_CORRIDOS]
        gracePeriodStartDate:
          type: string
          format: date
          maxLength: 10
          example: '2022-12-31'
          description: "Data de início da carência. OBS: Obrigatório, se houver"
        gracePeriodEndDate:
          type: string
          format: date
          maxLength: 10
          example: '2022-12-31'
          description: "Data de fim da carência. OBS: Obrigatório, se houver"
    InsurancePatrimonialCoverage:
      type: object
      required:
        - branch
        - code
      minProperties: 3
      properties:
        branch:
          description: Grupo e ramo da cobertura
          type: string
          maxLength: 4
          example: '0111'
        code:
          $ref: '#/components/schemas/InsurancePatrimonialCoverageCode'
        description:
          description: Descrição / Nome da Cobertura (Caso Código da Cobertura for "OUTRAS")
          type: string
          maxLength: 500
        deductible:
          $ref: '#/components/schemas/Deductible'
        POS:
          $ref: '#/components/schemas/POS'
    Deductible:
      type: object
      description: Informações de franquia
      required:
        - type
        - amount
        - period
        - periodicity
        - periodStartDate
        - periodEndDate
        - description
      properties:
        type:
          description: Tipo de Franquia
          type: string
          enum: [
            REDUZIDA,
            NORMAL,
            MAJORADA,
            DEDUTIVEL,
            OUTROS
          ]
          example: DEDUTIVEL
        typeAdditionalInfo:
          description: Descriçao do Tipo de Franquia (Caso Tipo de Franquia for "OUTROS")
          type: string
          maxLength: 500
        amount:
          $ref: '#/components/schemas/AmountDetails'
        period:
          description: Prazo da Franquia
          type: integer
          maxLength: 5
          example: 10
        periodicity:
          description: Periodicidade da Franquia
          type: string
          enum: [
            DIA,
            MES,
            ANO
          ]
          example: DIA
        periodCountingMethod:
          description: Indicador de Dias Úteis ou Corridos (Caso aplicável)
          type: string
          enum: [
            DIAS_UTEIS,
            DIAS_CORRIDOS
          ]
          example: DIAS_UTEIS
        periodStartDate:
          description: Data de Início da Franquia
          type: string
          format: date
          example: "2022-05-16"
        periodEndDate:
          description: Data de Fim da Franquia
          type: string
          format: date
          example: "2022-05-17"
        description:
          description: Descrição da Franquia
          type: string
          maxLength: 60
          example: Franquia de exemplo
    POS:
      type: object
      description: Informações de franquia
      required:
        - applicationType
        - description
      properties:
        applicationType:
          description: Forma de Aplicação do POS
          type: string
          enum: [
            VALOR,
            PERCENTUAL,
            OUTROS
          ]
          example: VALOR
        description:
          description: Descrição do POS
          type: string
          maxLength: 60
          example: "Descrição de exemplo"
        minValue:
          $ref: '#/components/schemas/AmountDetails'
        maxValue:
          $ref: '#/components/schemas/AmountDetails'
        percentage:
          description: Percentual do POS
          type: string
          pattern: ^\d{1,3}\.\d{1,9}$
          example: '10.00'
    Coinsurer:
      type: object
      required:
        - identification
        - cededPercentage
      properties:
        identification:
          description: "Identificação da congênere, cessionário do cosseguro. Obs: Obrigatório quando há cosseguro"
          type: string
          maxLength: 60
        cededPercentage:
          description: "Percentual cedido para a congênere para contratos de cosseguro cedido. Obs: Obrigatório quando há cosseguro"
          type: string
          pattern: ^\d{1,3}\.\d{1,9}$
          example: '10.00'
    ResponseInsurancePatrimonialPremium:
      type: object
      required:
        - data
        - links
        - meta
      properties:
        data:
          $ref: '#/components/schemas/InsurancePatrimonialPremium'
        links:
          $ref: '#/components/schemas/Links'
        meta:
          $ref: '#/components/schemas/Meta'
    InsurancePatrimonialPremium:
      type: object
      required:
        - amount
        - paymentsQuantity
        - coverages
        - payments
      properties:
        paymentsQuantity:
          description: Quantidade de parcelas do prêmio do contrato
          type: number
          maxLength: 3
          example: 4
        amount:
          $ref: '#/components/schemas/AmountDetails'
        coverages:
          type: array
          items:
            $ref: '#/components/schemas/InsurancePatrimonialPremiumCoverage'
        payments:
          type: array
          items:
            $ref: '#/components/schemas/Payment'
    InsurancePatrimonialPremiumCoverage:
      type: object
      required:
        - branch
        - code
        - premiumAmount
      properties:
        branch:
          description: Grupo e ramo da cobertura
          type: string
          maxLength: 4
          example: '0111'
        code:
          $ref: '#/components/schemas/InsurancePatrimonialCoverageCode'
        description:
          description: Descrição / Nome da Cobertura (Caso Código da Cobertura for "OUTRAS")
          type: string
          maxLength: 500
        premiumAmount:
          $ref: '#/components/schemas/AmountDetails'
    Payment:
      type: object
      required:
        - movementDate
        - movementType
        - movementPaymentsNumber
        - amount
        - maturityDate
      properties:
        movementDate:
          description: Data do movimento de prêmio
          type: string
          format: date
          example: '2022-12-31'
        movementType:
          description: Tipo do Movimento
          type: string
          enum: [LIQUIDACAO_DE_PREMIO,
                 LIQUIDACAO_DE_RESTITUICAO_DE_PREMIO,
                 ESTORNO_DE_PREMIO,
                 ESTORNO_DE_RESTITUICAO_DE_PREMIO,
                 EMISSAO_DE_PREMIO,
                 CANCELAMENTO_DE_PARCELA,
                 EMISSAO_DE_RESTITUICAO_DE_PREMIO,
                 REABERTURA_DE_PARCELA,
                 BAIXA_POR_PERDA,
                 CANCELAMENTO_DE_PREMIO_E_PARCELA]
          example: LIQUIDACAO_DE_PREMIO
        movementOrigin:
          description: "Origem do Movimento. Obs: Obrigatório caso Tipo de Movimento for LIQUIDACAO_DE_PREMIO e ESTORNO_DE_PREMIO"
          type: string
          enum: [EMISSAO_DIRETA,
                 EMISSAO_ACEITA_DE_COSSEGURO,
                 EMISSAO_CEDIDA_DE_COSSEGURO]
          example: EMISSAO_DIRETA
        movementPaymentsNumber:
          description: Identificador da parcela do movimento
          type: number
          maxLength: 3
        amount:
          $ref: '#/components/schemas/AmountDetails'
        maturityDate:
          description: Data de Vencimento da Parcela
          type: string
          format: date
          example: '2022-12-31'
        tellerId:
          description: "Documento do Pagador/Recebedor Obs: Obrigatório caso Tipo de Movimento for  LIQUIDACAO_DE_PREMIO e LIQUIDACAO_DE_CUSTO_DE_AQUISICAO"
          type: string
          maxLength: 1024
        tellerIdType:
          description: "Tipo do Documento do Pagador/Recebedor Obs: Obrigatório caso Tipo de Movimento for  LIQUIDACAO_DE_PREMIO e LIQUIDACAO_DE_CUSTO_DE_AQUISICAO"
          type: string
          enum: [CPF,
                 CNPJ,
                 OUTROS]
          example: CPF
        tellerName:
          description: "Nome ou Razão Social do Pagador/Recebedor Obs: Obrigatório caso Tipo de Movimento for  LIQUIDACAO_DE_PREMIO e LIQUIDACAO_DE_CUSTO_DE_AQUISICAO"
          type: string
          maxLength: 100
        financialInstitutionCode:
          description: "Código da Instituição Financeiro do Pagamento Obs: Obrigatório caso Tipo de Movimento for  LIQUIDACAO_DE_PREMIO e LIQUIDACAO_DE_CUSTO_DE_AQUISICAO"
          type: string
          maxLength: 100
        paymentType:
          description: "Meio de Pagamento Obs: Obrigatório caso Tipo de Movimento for  LIQUIDACAO_DE_PREMIO e LIQUIDACAO_DE_CUSTO_DE_AQUISICAO"
          type: string
          enum: [BOLETO,
                 TED,
                 TEF,
                 CARTAO,
                 DOC,
                 CHEQUE,
                 DESCONTO_EM_FOLHA,
                 PIX,
                 DINHEIRO_EM_ESPECIE,
                 OUTROS]
          example: BOLETO
    ResponseInsurancePatrimonialClaims:
      type: object
      required:
        - data
        - links
        - meta
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/InsurancePatrimonialClaim'
          minItems: 0
        links:
          $ref: '#/components/schemas/Links'
        meta:
          $ref: '#/components/schemas/Meta'
    InsurancePatrimonialClaim:
      type: object
      required:
        - identification
        - documentationDeliveryDate
        - status
        - statusAlterationDate
        - occurrenceDate
        - warningDate
        - amount
      properties:
        identification:
          description: Identificador do processo de sinistro
          type: string
          maxLength: 50
        documentationDeliveryDate:
          description: Data de entrega da documentação completa
          type: string
          format: date
          maxLength: 10
          example: '2022-12-31'
        status:
          description: Status do sinistro
          type: string
          enum: [ABERTO,
                 ENCERRADO_COM_INDENIZACAO,
                 ENCERRADO_SEM_INDENIZACAO,
                 REABERTO,
                 CANCELADO_POR_ERRO_OPERACIONAL,
                 AVALIACAO_INICIAL]
        statusAlterationDate:
          description: Data de alteração do status do sinistro
          type: string
          format: date
          maxLength: 10
          example: '2022-12-31'
        occurrenceDate:
          description: Data de ocorrência do sinistro
          type: string
          format: date
          maxLength: 10
          example: '2022-12-31'
        warningDate:
          description: Data de aviso do sinistro
          type: string
          format: date
          maxLength: 10
          example: '2022-12-31'
        thirdPartyClaimDate:
          description: Data de reclamação do terceiro
          type: string
          format: date
          maxLength: 10
          example: '2022-12-31'
        amount:
          $ref: '#/components/schemas/AmountDetails'
        denialJustification:
          description: "Justificativa da Negativa(Caso Status do Sinistro for 'ENCERRADO_SEM_INDENIZACAO')"
          type: string
          enum: [RISCO_EXCLUIDO,
                 RISCO_AGRAVADO,
                 SEM_DOCUMENTACAO,
                 DOCUMENTACAO_INCOMPLETA,
                 PRESCRICAO,
                 FORA_COBERTURA,
                 OUTROS]
        denialJustificationDescription:
          description: "Descrição da Justificativa da Negativa(Caso Justificativa da Negativa for 'OUTROS')"
          type: string
          maxLength: 100
        coverages:
          type: array
          items:
            $ref: '#/components/schemas/InsurancePatrimonialClaimCoverage'
    InsurancePatrimonialClaimCoverage:
      type: object
      required:
        - branch
        - code
      properties:
        insuredObjectId:
          description: Identificador do Objeto Segurado (Caso aplicável)
          type: string
          maxLength: 100
        branch:
          description: Grupo e ramo da cobertura
          type: string
          maxLength: 4
          example: '0111'
        code:
          $ref: '#/components/schemas/InsurancePatrimonialCoverageCode'
        description:
          description: Descrição / Nome da Cobertura (Caso Código da Cobertura for "OUTRAS")
          type: string
          maxLength: 500
        warningDate:
          description: Data de Aviso do Sinistro por Cobertura (Caso aplicável)
          type: string
          format: date
          example: '2022-12-31'
        thirdPartyClaimDate:
          description: Data de Reclamação do Terceiro por Cobertura (Caso aplicável)
          type: string
          format: date
          example: '2022-12-31'
    AmountDetails:
      type: object
      description: Detalhes de valores/limites
      required:
        - amount
        - unit
      properties:
        amount:
          type: string
          pattern: ^\d{1,16}\.\d{2}$
          example: '2000.00'
        unit:
          type: object
          required:
            - code
            - description
          properties:
            code:
              type: string
              maxLength: 2
              example: R$
            description:
              type: string
              description: Moeda da Parcela, de acordo com ISO-4217.
              pattern: ^(\w{3})$
              example: BRL
    InsurancePatrimonialSpecificPolicyInfo:
      type: object
      description: Informações do Anexo Específico
      properties:
        basicCoverageIndex:
          description: Indicador de Cobertura Básica. Caso contrato de Compreensivo Condomínio
          type: string
          enum: [SIMPLES,
                 AMPLA]
          example: SIMPLES
        insuredObjects:
          type: array
          items:
            $ref: '#/components/schemas/InsurancePatrimonialSpecificInsuredObject'
    InsurancePatrimonialSpecificInsuredObject:
      type: object
      required:
        - identification
      properties:
        identification:
          type: string
          maxLength: 100
          description: Identificador do objeto segurado
        propertyType:
          description:  Tipo do imóvel ou condomínio segurado. Caso contrato de Compreensivo Residencial e Compreensivo Condomínio
          type: string
          enum: [CASA,
                 APARTAMENTO,
                 CONDOMINIO_RESIDENCIAL,
                 CONDOMINIO_COMERCIAL,
                 CONDOMINIO_MISTOS]
          example: CASA
        structuringType:
          description: Tipo de estruturação para Compreensivo Condomínio. Caso contrato de Compreensivo Condomínio
          type:  string
          enum: [CONDOMINIO_VERTICAL,
                 CONDOMINIO_HORIZONTAL,
                 MISTO]
          example: CONDOMINIO_VERTICAL
        postCode:
          description: Código postal do imóvel, condomínio ou unidade empresarial/planta. Caso aplicável
          type: string
          maxLength: 60
          example: "10000000"
        businessActivity:
          description: Código nacional de atividade econômica do IBGE. Caso aplicável
          type: string
          maxLength: 7
          pattern: '^\d{7}$'
          example: "1234567"
    InsurancePatrimonialCoverageCode:
      type: string
      description: Código da cobertura, conforme Anexo II do Manual de Escopo de Dados
      enum: [
        IMOVEL_BASICA,
        IMOVEL_AMPLA,
        DANOS_ELETRICOS,
        DANOS_POR_AGUA,
        ALAGAMENTO,
        RESPONSABILIDADE_CIVIL_FAMILIAR,
        RESPONSABILIDADE_CIVIL_DANOS_MORAIS,
        ROUBO_SUBTRACAO_BENS,
        ROUBO_SUBTRACAO_BENS_FORA_LOCAL_SEGURADO,
        TACOS_GOLFE_HOLE_ONE,
        PEQUENAS_REFORMAS_OBRAS,
        GREVES_TUMULTOS_LOCKOUT,
        MICROEMPREENDEDOR,
        ESCRITORIO_RESIDENCIA,
        DANOS_EQUIPAMENTOS_ELETRONICOS,
        QUEBRA_VIDROS,
        IMPACTO_VEICULOS,
        VENDAVAL,
        PERDA_PAGAMENTO_ALUGUEL,
        BICICLETA,
        RESPONSABILIDADE_CIVIL_BICICLETA,
        RC_EMPREGADOR,
        DESMORONAMENTO,
        DESPESAS_EXTRAORDINARIAS,
        JOIAS_OBRAS_ARTE,
        TERREMOTO,
        IMPACTO_AERONAVES,
        PAISAGISMO,
        INCENDIO,
        QUEDA_RAIO,
        EXPLOSAO,
        COBERTURA_BASICA_AMPLA_COBERTURAS_PARA_QUAISQUER_EVENTOS_QUE_POSSAM_CAUSAR_DANOS_FISICOS_AO_IMOVEL_SEGURADO_EXCETO_OS_EXPRESSAMENTE_EXCLUIDOS,
        COBERTURA_BASICA_SIMPLES_COBERTURAS_DE_INCENDIO_QUEDA_DE_RAIO_DENTRO_DO_TERRENO_SEGURADO_E_EXPLOSAO_DE_QUALQUER_NATUREZA,
        ANUNCIOS_LUMINOSOS,
        DANOS_AO_JARDIM,
        DESPESAS_COM_ALUGUEL,
        EQUIPAMENTOS,
        FIDELIDADE_DE_EMPREGADOS,
        IMPACTO_DE_VEICULOS,
        VIDA_E_ACIDENTES_PESSOAIS_EMPREGADOS,
        LUCROS_CESSANTES,
        QUEBRA_DE_VIDROS_ESPELHOS_MARMORES_E_GRANITOS,
        RESPONSABILIDADE_CIVIL,
        ROUBO,
        VALORES,
        TUMULTO,
        INCENDIO_QUEDA_DE_RAIO_E_EXPLOSAO,
        VENDAVAL_ATE_FUMACA,
        ALAGAMENTO_E_INUNDACAO,
        TUMULTOS_GREVES_LOCKOUT_E_ATOS_DOLOSOS,
        ROUBO_E_FURTO_QUALIFICADO,
        RECOMPOSICAO_DE_REGISTROS_E_DOCUMENTOS,
        DETERIORACAO_DE_MERCADORIAS_EM_AMBIENTES_FRIGORIFICADOS,
        DERRAME,
        VAZAMENTO,
        QUEBRA_DE_MAQUINAS,
        LUCROS_CESSANTES_DESPESAS_FIXAS_LUCRO_LIQUIDO_LUCRO_BRUTO,
        PERDA_OU_PAGAMENTO_DE_ALUGUEL,
        PEQUENAS_OBRAS_DE_ENGENHARIA,
        DANOS_DE_CAUSA_EXTERNA,
        DANOS_DE_CAUSA_EXTERNA_E_ROUBO,
        SERVICOS_EMERGENCIAIS,
        SERVICOS_DE_CONVENIENCIA,
        GARANTIA_ESTENDIDA_ORIGINAL,
        GARANTIA_ESTENDIDA_AMPLIADA,
        GARANTIA_ESTENDIDA_REDUZIDA,
        COMPLEMENTACAO_DE_GARANTIA,
        LUCRO_BRUTO,
        LUCRO_LIQUIDO,
        DESPESAS_FIXAS,
        PERDA_DE_RECEITA_OU_INTERRUPCAO_DE_NEGOCIOS,
        OBRAS_CIVIS_CONSTRUCAO_E_INSTALACAO_E_MONTAGEM,
        AFRETAMENTOS_DE_AERONAVES,
        ARMAZENAGEM_FORA_DO_CANTEIRO_DE_OBRAS_OU_LOCAL_SEGURADO,
        DANOS_EM_CONSEQUENCIA_DE_ERRO_DE_PROJETO_RISCO_DO_FABRICANTE,
        DANOS_MORAIS,
        DESPESAS_COM_DESENTULHO_DO_LOCAL,
        DESPESAS_DE_SALVAMENTO_E_CONTENCAO_DE_SINISTROS,
        EQUIPAMENTOS_DE_ESCRITORIO_E_INFORMATICA,
        EQUIPAMENTOS_MOVEIS_ESTACIONARIOS_UTILIZADOS_NA_OBRA,
        FERRAMENTAS_DE_PEQUENO_E_MEDIO_PORTE,
        HONORARIOS_DE_PERITO,
        INCENDIO_APOS_O_TERMINO_DE_OBRAS_ATE_30_DIAS_EXCETO_PARA_REFORMAS_AMPLIACOES,
        MANUTENCAO_AMPLA_ATE_24_MESES,
        MANUTENCAO_SIMPLES_ATE_24_MESES,
        OBRAS_CONCLUIDAS,
        OBRAS_TEMPORARIAS,
        OBRAS_INSTALACOES_CONTRATADAS_ACEITAS_E_OU_COLOCADAS_EM_OPERACAO,
        PROPRIEDADES_CIRCUNVIZINHAS,
        RECOMPOSICAO_DE_DOCUMENTOS,
        RESPONSABILIDADE_CIVIL_EMPREGADOR,
        FUNDACAO,
        STANDS_DE_VENDA,
        TRANSPORTE_TERRESTRE,
        TUMULTOS_GREVES_E_LOCKOUT,
        DANOS_MATERIAIS_CAUSADOS_AO_COFRE_FORTE,
        DANOS_MATERIAIS_CAUSADOS_AOS_CAIXAS_ELETRONICOS_ATM,
        INFIDELIDADE_DE_FUNCIONARIOS,
        VALORES_NO_INTERIOR_DO_ESTABELECIMENTO_DENTRO_E_OU_FORA_DE_COFRE_FORTE,
        VALORES_NO_INTERIOR_DE_CAIXAS_ELETRONICOS_ATM,
        VALORES_EM_MAOS_DE_PORTADORES_EM_TRANSITO,
        ALAGAMENTO_INUNDACAO,
        ALUGUEL_PERDA_OU_PAGAMENTO,
        BAGAGEM,
        BASICA_INCENDIO_RAIO_EXPLOSAO,
        BASICA_DANOS_MATERIAIS,
        BASICA_DE_OBRAS_CIVIS_EM_CONSTRUCAO_E_INSTALACOES_E_MONTAGENS,
        BENS_DE_TERCEIROS_EM_PODER_DO_SEGURADO,
        CARGA_DESCARGA_ICAMENTO_E_DESCIDA,
        DANOS_NA_FABRICACAO,
        DERRAME_D_AGUA_OU_OUTRA_SUBSTANCIA_LIQUIDA_DE_INSTALACOES_DE_CHUVEIROS_AUTOMATICOS,
        DESPESAS_ADICIONAIS_OUTRAS_DESPESAS,
        DESPESAS_FIXA,
        DETERIORACAO_DE_MERCADORIAS_EM_AMBIENTES,
        FRIGORIFICADOS,
        EQUIPAMENTOS_ARRENDADOS,
        EQUIPAMENTOS_CEDIDOS_A_TERCEIROS,
        EQUIPAMENTOS_CINEMATOGRAFICOS_FOTOGRAFICOS_DE_AUDIO_E_VIDEO,
        EQUIPAMENTOS_DIVERSOS_OUTRAS_MODALIDADES,
        EQUIPAMENTOS_ELETRONICOS,
        EQUIPAMENTOS_ESTACIONARIOS,
        EQUIPAMENTOS_MOVEIS,
        EQUIPAMENTOS_PORTATEIS,
        HONORARIOS_DE_PERITOS,
        IMPACTO_DE_VEICULOS_E_QUEDA_DE_AERONAVES,
        IMPACTO_DE_VEICULOS_TERRESTRES,
        LINHAS_DE_TRANSMISSAO_E_DISTRIBUICAO,
        MOVIMENTACAO_INTERNA_DE_MERCADORIAS,
        PATIOS,
        ROUBO_DE_BENS_DE_HOSPEDES,
        ROUBO_DE_VALORES_EM_TRANSITO_EM_MAOS_DE_PORTADOR,
        ROUBO_E_FURTO_MEDIANTE_ARROMBAMENTO,
        ROUBO_E_OU_FURTO_QUALIFICADO_DE_VALORES_NO_INTERIOR_DO_ESTABELECIMENTO_DENTRO_E_OU_FORA_DE_COFRES_FORTES_OU_CAIXAS_FORTES,
        TERRORISMO_E_SABOTAGEM,
        VAZAMENTO_DE_TUBULACOES_E_TANQUES,
        VAZAMENTO_DE_TUBULACOES_HIDRAULICAS,
        VENDAVAL_FURACAO_CICLONE_TORNADO_GRANIZO_QUEDA_DE_AERONAVES_OU_QUAISQUER_OUTROS_ENGENHOS_AEREOS_OU_ESPACIAIS_IMPACTO_DE_VEICULOS_TERRESTRES_E_FUMACA,
        OUTRAS
      ]
    Links:
      type: object
      properties:
        self:
          type: string
          description: URL da página atualmente requisitada
          pattern: ^(https:\/\/)(.*?)(\/open-insurance\/insurance-patrimonial\/v\d+)(\/insurance-patrimonial.*)?$
          example: 'https://api.organizacao.com.br/open-insurance/insurance-patrimonial/v1/insurance-patrimonial'
        first:
          type: string
          description: URL da primeira página de registros
          pattern: ^(https:\/\/)(.*?)(\/open-insurance\/insurance-patrimonial\/v\d+)(\/insurance-patrimonial.*)?$
          example: 'https://api.organizacao.com.br/open-insurance/insurance-patrimonial/v1/insurance-patrimonial'
        prev:
          type: string
          description: URL da página anterior de registros
          pattern: ^(https:\/\/)(.*?)(\/open-insurance\/insurance-patrimonial\/v\d+)(\/insurance-patrimonial.*)?$
          example: 'https://api.organizacao.com.br/open-insurance/insurance-patrimonial/v1/insurance-patrimonial'
        next:
          type: string
          description: URL da próxima página de registros
          pattern: ^(https:\/\/)(.*?)(\/open-insurance\/insurance-patrimonial\/v\d+)(\/insurance-patrimonial.*)?$
          example: 'https://api.organizacao.com.br/open-insurance/insurance-patrimonial/v1/insurance-patrimonial'
        last:
          type: string
          description: URL da última página de registros
          pattern: ^(https:\/\/)(.*?)(\/open-insurance\/insurance-patrimonial\/v\d+)(\/insurance-patrimonial.*)?$
          example: 'https://api.organizacao.com.br/open-insurance/insurance-patrimonial/v1/insurance-patrimonial'
    Meta:
      type: object
      properties:
        totalRecords:
          type: integer
          description: Total de registros encontrados
          example: 10
        totalPages:
          type: integer
          description: Total de páginas para os registros encontrados
          example: 1
      required:
        - totalRecords
        - totalPages
    ResponseError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          minItems: 1
          maxItems: 13
          items:
            type: object
            required:
              - code
              - title
              - detail
              - requestDateTime
            properties:
              code:
                description: Código de erro específico do endpoint
                type: string
                pattern: '[\w\W\s]*'
                maxLength: 255
              title:
                description: Título legível por humanos deste erro específico
                type: string
                maxLength: 255
              detail:
                description: Descrição legível por humanos deste erro específico
                type: string
                maxLength: 2048
              requestDateTime:
                description: 'Data e hora da consulta, conforme especificação RFC-3339, formato UTC.'
                type: string
                maxLength: 2048
                format: date-time
                example: '2021-08-20T08:30:00Z'
            additionalProperties: false
        meta:
          $ref: '#/components/schemas/Meta'
      additionalProperties: false
    XFapiInteractionId:
      type: string
      pattern: '^[a-zA-Z0-9][a-zA-Z0-9\-]{0,99}$'
      maxLength: 100
      description: 'Um UID [RFC4122](https://tools.ietf.org/html/rfc4122) usado como um ID de correlação. Se fornecido, o transmissor deve "reproduzir" esse valor no cabeçalho de resposta.'
  parameters:
    policyId:
      name: policyId
      in: path
      required: true
      schema:
        type: string
        maxLength: 60
    Authorization:
      name: Authorization
      in: header
      description: Cabeçalho HTTP padrão. Permite que as credenciais sejam fornecidas dependendo do tipo de recurso solicitado.
      required: true
      schema:
        type: string
        pattern: '[\w\W\s]*'
        maxLength: 2048
    page:
      name: page
      in: query
      description: Número da página que está sendo requisitada (o valor da primeira página é 1).
      schema:
        type: integer
        default: 1
        minimum: 1
        format: int32
    pageSize:
      name: page-size
      in: query
      description: Quantidade total de registros por páginas.
      schema:
        type: integer
        default: 25
        minimum: 1
        format: int32
        maximum: 1000
    xCustomerUserAgent:
      name: x-customer-user-agent
      in: header
      description: Indica o user-agent que o usuário utiliza.
      required: false
      schema:
        type: string
        pattern: '[\w\W\s]*'
        minLength: 1
        maxLength: 100
    xFapiAuthDate:
      name: x-fapi-auth-date
      in: header
      description: 'Data em que o usuário logou pela última vez com o receptor. Representada de acordo com a [RFC7231](https://tools.ietf.org/html/rfc7231). Exemplo: Sun, 10 Sep 2017 19:43:31 UTC'
      required: false
      schema:
        type: string
        pattern: '^(Mon|Tue|Wed|Thu|Fri|Sat|Sun), \d{2} (Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec) \d{4} \d{2}:\d{2}:\d{2} (GMT|UTC)$'
        minLength: 29
        maxLength: 29
    xFapiCustomerIpAddress:
      name: x-fapi-customer-ip-address
      in: header
      description: O endereço IP do usuário se estiver atualmente logado com o receptor.
      required: false
      schema:
        type: string
        pattern: '[\w\W\s]*'
        minLength: 1
        maxLength: 100
    xFapiInteractionId:
      name: x-fapi-interaction-id
      in: header
      description: 'Um UID [RFC4122](https://tools.ietf.org/html/rfc4122) usado como um ID de correlação. Se fornecido, o transmissor deve "reproduzir" esse valor no cabeçalho de resposta.'
      required: false
      schema:
        type: string
        pattern: '^[a-zA-Z0-9][a-zA-Z0-9\-]{0,99}$'
        minLength: 1
        maxLength: 100
  securitySchemes:
    OpenId:
      type: openIdConnect
      openIdConnectUrl: 'https://auth.mockbank.poc.raidiam.io/.well-known/openid-configuration'
    OAuth2Security:
      type: oauth2
      description: Fluxo OAuth necessário para que a receptora tenha acesso aos dados na instituição transmissora. Inclui o processo de redirecionamento e autenticação do usuário a que se referem os dados.
      flows:
        authorizationCode:
          authorizationUrl: 'https://authserver.example/authorization'
          tokenUrl: 'https://authserver.example/token'
          scopes:
            insurance-patrimonial: Escopo necessário para acesso à API. O controle dos endpoints específicos é feito via permissions.
  responses:
    OKResponseInsurancePatrimonial:
      description: Dados de ResponseInsurancePatrimonial obtidos com sucesso
      headers:
        x-fapi-interaction-id:
          schema:
            $ref: '#/components/schemas/XFapiInteractionId'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ResponseInsurancePatrimonial'
    OKResponseInsurancePatrimonialPolicyInfo:
      description: Dados de ResponseInsurancePatrimonialPolicyInfo obtidos com sucesso
      headers:
        x-fapi-interaction-id:
          schema:
            $ref: '#/components/schemas/XFapiInteractionId'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ResponseInsurancePatrimonialPolicyInfo'
    OKResponseInsurancePatrimonialClaims:
      description: Dados de ResponseInsurancePatrimonialClaims obtidos com sucesso
      headers:
        x-fapi-interaction-id:
          schema:
            $ref: '#/components/schemas/XFapiInteractionId'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ResponseInsurancePatrimonialClaims'
    OKResponseInsurancePatrimonialPremium:
      description: Dados de ResponseInsurancePatrimonialPremium obtidos com sucesso
      headers:
        x-fapi-interaction-id:
          schema:
            $ref: '#/components/schemas/XFapiInteractionId'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ResponseInsurancePatrimonialPremium'
    UnprocessableEntity:
      description: 'O servidor entende o tipo de conteúdo da entidade da requisição, e a sintaxe da requisição esta correta, mas não foi possível processar as instruções presente.'
      content:
        application/json; charset=utf-8:
          schema:
            $ref: '#/components/schemas/ResponseError'
    NoContent:
      description: 'O recurso solicitado não existe ou não foi localizado.'
      content:
        application/json; charset=utf-8:
          schema:
            $ref: '#/components/schemas/ResponseError'
    BadRequest:
      description: 'A requisição foi malformada, omitindo atributos obrigatórios, seja no payload ou através de atributos na URL.'
      content:
        application/json; charset=utf-8:
          schema:
            $ref: '#/components/schemas/ResponseError'
    Forbidden:
      description: O token tem escopo incorreto ou uma política de segurança foi violada
      content:
        application/json; charset=utf-8:
          schema:
            $ref: '#/components/schemas/ResponseError'
    InternalServerError:
      description: Ocorreu um erro no gateway da API ou no microsserviço
      content:
        application/json; charset=utf-8:
          schema:
            $ref: '#/components/schemas/ResponseError'
    MethodNotAllowed:
      description: O consumidor tentou acessar o recurso com um método não suportado
      content:
        application/json; charset=utf-8:
          schema:
            $ref: '#/components/schemas/ResponseError'
    NotAcceptable:
      description: A solicitação continha um cabeçalho Accept diferente dos tipos de mídia permitidos ou um conjunto de caracteres diferente de UTF-8
      content:
        application/json; charset=utf-8:
          schema:
            $ref: '#/components/schemas/ResponseError'
    NotFound:
      description: O recurso solicitado não existe ou não foi implementado
      content:
        application/json; charset=utf-8:
          schema:
            $ref: '#/components/schemas/ResponseError'
    TooManyRequests:
      description: 'A operação foi recusada, pois muitas solicitações foram feitas dentro de um determinado período ou o limite global de requisições concorrentes foi atingido'
      content:
        application/json; charset=utf-8:
          schema:
            $ref: '#/components/schemas/ResponseError'
    Unauthorized:
      description: Cabeçalho de autenticação ausente/inválido ou token inválido
      content:
        application/json; charset=utf-8:
          schema:
            $ref: '#/components/schemas/ResponseError'
